Subject: bug#70519: 30.0.50; Device for Emacs terminal I/O

From: Eli Zaretskii <[email-masked]>
Date: Sat, 04 May 2024 13:34:23 +0300

> Cc: [email-masked]
> Date: Tue, 23 Apr 2024 08:32:25 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> More importantly, we already know the name of the terminal: we used it
> in emacs.c when we processed the --terminal switch.  We just "forgot"
> it because we didn't save it anywhere.  So one way of fixing this is
> to record that name and reuse it in init_tty.  E.g., make DEV_TTY
> non-const, and save the actual name there when we process it in
> emacs.c.

I attempted to fix this now that way on the master branch.  Would you
mind testing whether it does what you wanted?  If the current master
somehow doesn't do what you wanted, I'd appreciate a recipe for
reproducing the problematic behavior, so I could investigate.

Thanks.